# $Revision: 1.22 $, $Date: 2010/01/20 13:03:27 $
# TODO
# - separate plugins?
%define		ver %(echo %{version} | tr . _)
Summary:	Web based Javascript HTML WYSIWYG editor control
Summary(pl.UTF-8):	Kontrolka edytora WYSIWYG HTML-a oparta na WWW z Javascriptem
Name:		tinymce
Version:	3.2.4.1
Release:	1
License:	LGPL v2
Group:		Applications/WWW
Source0:	http://dl.sourceforge.net/tinymce/%{name}_%{ver}.zip
# Source0-md5:	70bf7209515af5fccf1c33b6319f4cd7
URL:		http://tinymce.moxiecode.com/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{name}

%description
TinyMCE is a platform independent web based Javascript HTML WYSIWYG
editor control released as Open Source under LGPL by Moxiecode Systems
AB. It has the ability to convert HTML TEXTAREA fields or other HTML
elements to editor instances. TinyMCE is very easy to integrate into
other CMS systems.

Features:
- Easy to integrate, takes only two lines of code.
- Theme and template support.
- Plugin support.
- Easy to extend with custom code.
- Customizable HTML/XHTML 1.0 output. Block invalid elements and force
  attributes.
- International language support (Language packs) currenly English,
  Swedish, Italian, German, Czech, Hungarian, Dutch, Finnish, Danish and
  Arabic and much more.
- Multiple browser support, currently Mozilla, MSIE and FireFox.

%description -l pl.UTF-8
TinyMCE to niezależna od platformy kontrolka edytora WYSIWYG HTML-a
oparta na WWW z Javascriptem opublikowana z otwartymi źródłami na
warunkach licencji LGPL przez Moxiecode Systems AB. Ma możliwość
przekształcenia pól HTML TEXTAREA i innych elementów HTML-a w
instancje edytora. TinyMCE jest bardzo łatwy do integracji w innych
systemach CMS.

Możliwości:
- łatwa do zintegrowania przy użyciu tylko dwóch linijek kodu
- obsługa motywów i szablonów
- obsługa wtyczek
- łatwa do rozszerzenia własnym kodem
- dostosowywalne wyjście HTML/XHML 1.0; elementy block invalid i
  atrybuty force
- obsługa wielu języków (pakiety językowe) - aktualnie angielski,
  szwedzki, włoski, niemiecki, czeski, węgierski, holenderski, fiński,
  duński, arabski i inne
- obsługa wielu przeglądarek, aktualnie Mozilla, MSIE i Firefox

%prep
%setup -qc

find '(' -name '*.js' -o -name '*.html' -o -name '*.htm' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'

rm jscripts/tiny_mce/license.txt # LGPL v2

find -name '*_src.js' | xargs rm

mv jscripts/tiny_mce/plugins/example .

# tinymce-spellchecker.spec packages this
rm -rf jscripts/tiny_mce/plugins/spellchecker

cat <<'EOF' > apache.conf
Alias /tiny_mce/ %{_appdir}/
<Directory %{_appdir}>
	Allow from all
</Directory>
EOF

cat > lighttpd.conf <<'EOF'
alias.url += (
    "/tiny_mce/" => "%{_appdir}/",
)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_appdir},%{_sysconfdir}}

cp -a example examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a jscripts/tiny_mce/* $RPM_BUILD_ROOT%{_appdir}

cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a apache.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
cp -a lighttpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc changelog.txt
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf

%dir %{_appdir}
%{_appdir}/*.js
%{_appdir}/utils

%dir %{_appdir}/langs
%{_appdir}/langs/en.js

%dir %{_appdir}/plugins

%{_appdir}/plugins/advhr
%{_appdir}/plugins/advimage
%{_appdir}/plugins/advlink
%{_appdir}/plugins/autosave
%{_appdir}/plugins/bbcode
%{_appdir}/plugins/compat2x
%{_appdir}/plugins/contextmenu
%{_appdir}/plugins/directionality
%{_appdir}/plugins/emotions
%{_appdir}/plugins/fullpage
%{_appdir}/plugins/fullscreen
%{_appdir}/plugins/iespell
%{_appdir}/plugins/inlinepopups
%{_appdir}/plugins/insertdatetime
%{_appdir}/plugins/layer
%{_appdir}/plugins/media
%{_appdir}/plugins/nonbreaking
%{_appdir}/plugins/noneditable
%{_appdir}/plugins/pagebreak
%{_appdir}/plugins/paste
%{_appdir}/plugins/preview
%{_appdir}/plugins/print
%{_appdir}/plugins/safari
%{_appdir}/plugins/save
%{_appdir}/plugins/searchreplace
%{_appdir}/plugins/style
%{_appdir}/plugins/tabfocus
%{_appdir}/plugins/table
%{_appdir}/plugins/template
%{_appdir}/plugins/visualchars
%{_appdir}/plugins/xhtmlxtras

%dir %{_appdir}/themes
%{_appdir}/themes/simple
%{_appdir}/themes/advanced

%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tinymce.spec,v $
Revision 1.22  2010/01/20 13:03:27  glen
- up to 3.2.4.1

Revision 1.21  2008/10/03 19:55:37  glen
- update to 3.2.0.2

Revision 1.20  2008/09/02 12:35:29  glen
- use /tiny_mce alias as it's more common

Revision 1.19  2008/09/02 10:10:14  glen
- webapps integration

Revision 1.18  2008/09/01 17:14:40  glen
- spellchecker plugin (it is equal code) available separately

Revision 1.17  2008/09/01 08:54:15  glen
- 3.1.1

Revision 1.16  2008/09/01 08:52:43  glen
- 3.0.9

Revision 1.15  2008-05-01 08:30:02  glen
- 3.0.8

Revision 1.14  2008-04-30 12:02:03  glen
- update to 3.0.7

Revision 1.13  2008-03-13 13:07:22  glen
- add missing themes dir; rel 2

Revision 1.12  2008-02-06 16:31:08  glen
- don't package sources

Revision 1.11  2008-02-06 15:56:08  glen
- 2.1.3

Revision 1.10  2008-02-06 15:47:15  glen
- undos *.htm

Revision 1.9  2008-02-06 15:45:28  glen
- undos

Revision 1.8  2007-08-23 08:39:18  glen
- update to 2.1.2

Revision 1.7  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.5  2006/12/04 15:04:55  glen
- 2.0.8, languages available as separate download

Revision 1.4  2005/12/08 13:07:02  glen
- updated to 2.0.1
- mark lang/*.js as %lang

Revision 1.3  2005/05/21 10:56:07  twittner
- typo

Revision 1.2  2005/05/21 10:35:14  qboosh
- pl, fixed some lang() codes

Revision 1.1  2005/05/20 15:29:44  glen
- NFY
